Home | All Classes | Grouped Classes | Index | Search

# Class CL_OpenGLState

OpenGL state setup handler class. More...

Derived from: none
Derived by: none
Group: GL (System)

#include <ClanLib/gl.h>

Construction:

CL_OpenGLState | Constructs an opengl state set.

Attributes:

is_active | Returns true if opengl state is currently active.

Operations:

set_active | Activates this OpenGL state set.
attach_data | Attaches a new data object responsible for saving and restoring states.
detach_data | Detaches a data object.
setup_2d | Setup window 2D rendering mode.

Detailed description:

!group=GL/System! !header=gl.h!
Questions or comments, write to the ClanLib mailing list.